import { Node } from "@antv/x6";

export interface CompoundedComponent {
  name: string;
  icon: string;
  node: Node.Metadata;
};

export interface LaneItem {
  width: number;
  name: string;
}

export interface StageItem {
  height: number;
  name: string;
}

export interface cellStyle {
  opacity: number;
  text: {
    fontFamily: string;
    color: string;
    fontSize: number;
    lineHeight: number;
    textAlign: "left" | "center" | "right";
    textVAlign: "top" | "middle" | "bottom";
    bold: boolean;
    italic: boolean;
    textDecoration: "underline" | "line-through" | "none";
  };
  fill: {
    fillType: "color" | "gradient" | "image";
    color1: string;
    color2: string;
    gradientType: "linear" | "radial";
    gradientValue: number;
    objectFit: ImageFillType;
    imageUrl: string;
  };
  stroke: {
    type: "solid" | "dashed" | "dotted" | "dashdot";
    color: string;
    width: number;
  };
}